com.sun.pdfview

## Class FullScreenWindow

- java.lang.Object
- - com.sun.pdfview.FullScreenWindow

    public class FullScreenWindow
    extends java.lang.Object

A window that takes over the full screen. You can put exactly one JComponent into the window. If there are multiple screens attached to the computer, this class will display buttons on each screen so that the user can select which one receives the full-screen window.

### Constructor Summary

Constructors
Constructor and Description
`FullScreenWindow(javax.swing.JComponent part)` Create a full screen window containing a JComponent.
`FullScreenWindow(javax.swing.JComponent part, boolean forcechoice)` Create a full screen window containing a JComponent, and ask the user which screen they'd like to use if more than one is present.

### Method Summary

Methods
`void` `close()` Close the full screen window.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FullScreenWindow

    public FullScreenWindow(javax.swing.JComponent part,
                    boolean forcechoice)

Create a full screen window containing a JComponent, and ask the user which screen they'd like to use if more than one is present.

Parameters:
  `part` - the JComponent to display
  `forcechoice` - true if you want force the display of the screen choice buttons. If false, buttons will only display if the user hasn't previously picked a screen.

#### FullScreenWindow

    public FullScreenWindow(javax.swing.JComponent part)

Create a full screen window containing a JComponent. The user will only be asked which screen to display on if there are multiple monitors attached and the user hasn't already made a choice.

Parameters:
  `part` - the JComponent to display

### Method Detail

#### close

    public void close()

Close the full screen window. This particular FullScreenWindow object cannot be used again.